// 2008 weights CPS -- adjusted for non-citizen population

IF V211 = 1 weightrace = 0.461932927.
IF V211 = 2 weightrace = 0.468778206.
IF V211 = 3 weightrace = 1.59435208.
IF V211 = 4 weightrace = 1.28999816.
IF V211 = 5 weightrace = 0.311756684.
IF V211 = 6 weightrace = 0.311756684.
IF V211 = 7 weightrace = 0.311756684.
IF V211 = 8 weightrace = 0.461932927.
Execute.

Compute NonCitizenWeight = weightrace * V201 * 0.693251534.

EXECUTE.

// 2010 weights CPS -- adjusted for non-citizen population

IF V211 = 1 weightrace2010 = 0.45051416.
IF V211 = 2 weightrace2010 = 0.351470753.
IF V211 = 3 weightrace2010 = 2.102464001.
IF V211 = 4 weightrace2010 = 1.00227357.
IF V211 = 5 weightrace2010 = 0.089649937.
IF V211 = 6 weightrace2010 = 0.269708854.
IF V211 = 7 weightrace2010 = 0.269708854.
IF V211 = 8 weightrace2010 = 0.45051416.

Execute.

Compute NonCitizenWeight2010 = weightrace2010 * V101 * 0.505687694.

EXECUTE.

// Analyses of the 2008 non-citizen file

[CCES2008CommonContentNonCitizen] C:\Users\jrichman\Documents\Jesse\2013\ImmigrantVoting\CCES_2008_CommonContent_NonCitizens.sav

WEIGHT BY NonCitizenWeight.

FREQUENCIES VARIABLES=voter_status CC407a CC403 V203 validvoterecode CC410 CC411 CC412 CC339
  /ORDER=ANALYSIS.

DATASET ACTIVATE CCES2008CommonContentNonCitizen.
SAVE OUTFILE=
    'C:\Users\jrichman\Documents\Jesse\2013\ImmigrantVoting\CCES_2008_CommonContent_NonCitizens.sav'
 /COMPRESSED.
CROSSTABS
  /TABLES=voter_status BY V203
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT TOTAL
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=saidvoted BY validvoterecode
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT TOTAL
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=vote_gen08 BY V213_2cats
  /FORMAT=AVALUE TABLES
  /STATISTICS=D
  /CELLS=COUNT COLUMN TOTAL
  /COUNT ROUND CELL.

WEIGHT OFF.
CROSSTABS
  /TABLES=V211 BY voted
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT COLUMN
  /COUNT ROUND CELL.


// 2010 analyses


WEIGHT BY NonCitizenWeight2010.

FREQUENCIES VARIABLES=voted V203 V203_post CC401 CC402b_t CC402b Registered CC402a CC402a_t CC412 CC390 CC355 CC410a CC410b_nv
  /ORDER=ANALYSIS.

WEIGHT OFF.
CROSSTABS
  /TABLES=CC322_5 CC322_1 CC322_2 CC322_4 CC322_3 BY voted
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ
  /CELLS=COUNT COLUMN
  /COUNT ROUND CELL.


